<?php

namespace App\Http\Resources\Registration\Record;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RecordListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $lists = [];
        foreach ($this->resource['response'] as $v) {
            $lists[] = [
                'reg_serial_no' => $v['visitNo'],
                'reg_type' => $v['registrationType'],
                'reg_date' => $v['registrationDate'],
                'patient_id' => $v['patientId'],
                'patient_name' => $v['patientName'],
                'dept_id' => $v['depId'],
                'dept_name' => $v['depName'],
                'doctor_id' => $v['doctorId'],
                'doctor_name' => $v['doctorName'],
                'rank_id' => $v['rankId'],
                'rank_name' => $v['rankName'] ?? '',
                'start_time' => $v['startTime'] ?? '',
                'end_time' => $v['endTime'] ?? '',
                'dept_location' => $v['depLocation'],
                'reg_fee' => $v['payFee'],
                'trea_id' => $v['treaId'],
                'tran_snum' => $v['transNum'] ?: '',
                'wait_no' => $v['waitNum'] ?: '',
                'oppat_no' => $v['oppatNo'] ?: '',
                'reg_status' => $v['status'],
            ];
        }

        return $lists;
    }
}
